import IRequest from '../interfaces/IRequest';
export default class Request implements IRequest {
    constructor();
    get(url: string, data?: any): Promise<any>;
    post(url: string, data?: any): Promise<any>;
    put(url: string, data?: any): Promise<any>;
    delete(url: string, data?: any): Promise<any>;
    patch(url: string, data?: any): Promise<any>;
    download(url: string, filename: string, data?: any): Promise<void>;
    private downloadProcces;
    private getStream;
}
